#

#
# Software subject to following license(s):
#   Apache 2 License (http://www.opensource.org/licenses/apache2.0)
#   Copyright (c) Responsible Organization
#

#
# Current developer(s):
#   Luis Fernando Muñoz Mejías <Luis.Munoz@UGent.be>
#



package EDG::WP4::CCM::Element;

use strict;
use warnings;

use version;
our $VERSION = version->new("v21.12.1");



use EDG::WP4::CCM::Path qw(escape unescape);

use EDG::WP4::CCM::CacheManager::Encode qw(
    PROPERTY RESOURCE
    STRING LONG DOUBLE BOOLEAN
    LIST NLIST);

use parent qw(Exporter);

warn "Direct usage of EDG::WP4::CCM::Element is deprecated ",
    "and contains no functional code besides a limited number ",
    "of reexported functions and constants from other modules.";

our @EXPORT    = qw(unescape);
our @EXPORT_OK = qw(
    PROPERTY RESOURCE
    STRING LONG DOUBLE BOOLEAN
    LIST NLIST
    escape);

1;
